Bug 596494 (CVE-2010-1766) - CVE-2010-1766 WebKit: off-by-one memory corruption flaw WebSocketHandshake::readServerHandshake()
Summary: CVE-2010-1766 WebKit: off-by-one memory corruption flaw WebSocketHandshake::r...
Status: CLOSED WONTFIX
Alias: CVE-2010-1766
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20100607,repor...
Keywords: Security
Depends On: 538236
Blocks: 806808
TreeView+ depends on / blocked
 
Reported: 2010-05-26 20:03 UTC by Vincent Danen
Modified: 2016-03-04 12:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 08:17:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vincent Danen 2010-05-26 20:03:12 UTC
An off by one memory corruption issue exists in WebSocketHandshake::readServerHandshake(). This issue is addressed by improved bounds checking.

References:

Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=36339
Trac: http://trac.webkit.org/changeset/56380

Acknowledgements:

Red Hat would like to thank Drew Yao of Apple Product Security for responsibly reporting this issue. Upstream acknowledges Skylined of Google Chrome Security Team as the original reporter.

Comment 4 Vincent Danen 2010-06-28 17:37:28 UTC
This is being made public now, we've been given the go-ahead from upstream to do so.

Comment 5 Vincent Danen 2010-06-28 17:48:40 UTC
Created webkitgtk tracking bugs for this issue

Affects: fedora-all [bug 606304]

Comment 6 Vincent Danen 2010-06-28 17:48:42 UTC
Created qt tracking bugs for this issue

Affects: fedora-all [bug 538236]

Comment 7 Fedora Update System 2010-07-13 07:38:59 UTC
qt-4.6.3-8.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-07-13 07:42:39 UTC
qt-4.6.3-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Vincent Danen 2010-09-08 19:41:37 UTC
This issue actually did not affect webkitgtk as provided in Fedora.  We provide version 1.2.0 (r56916) and this was fixed in svn commit 56380 so it was already fixed in 1.2.0.


Note You need to log in before you can comment on or make changes to this bug.